#include "mainwindow.h"

#include <DLineEdit>
#include <DToolButton>
#include <QAction>
#include <QHBoxLayout>
#include <QIcon>
#include <DIconButton>
#include <DSearchEdit>

DWIDGET_USE_NAMESPACE

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    DLineEdit *edit = new DLineEdit(this);
    QAction *searchAct = new QAction(edit);
    searchAct->setIcon(QIcon::fromTheme("search_indicator"));
    edit->lineEdit()->addAction(searchAct, QLineEdit::LeadingPosition);

    DIconButton *btn = new DIconButton(DStyle::SP_IndicatorSearch, this);
    btn->setIconSize({20,20});

    QHBoxLayout *hlayout = new QHBoxLayout;
    QVBoxLayout *vLayout = new QVBoxLayout;
    QWidget *w = new QWidget(this);
    w->setLayout(vLayout);

    hlayout->addWidget(edit);
    hlayout->addWidget(btn);
    vLayout->addLayout(hlayout);
    vLayout->addWidget(new DSearchEdit(this));

    setCentralWidget(w);
}

MainWindow::~MainWindow()
{
}

